extends BaseWidgetNode
class_name RollWidgetNode

var sprite: Sprite2D
var label: Label


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	SensorSignals.roll_updated.connect(_on_roll_updated)
	sprite = get_node("Sprite2D")
	label = get_node("Label")
	var label_size = label.size

func _on_roll_updated(sensor_ip: String, roll_rad: float):
	sprite.rotation = roll_rad
	label.text = str(round(rad_to_deg(abs(roll_rad))*10)/10) + " \u00B0"
